Subject: Re: bug#42762: GREP does not support Unicode

From: Paul Eggert <[email-masked]>
Date: Mon, 1 Feb 2021 16:13:04 -0800

On 1/31/21 8:10 AM, Paulie Pena IV wrote:
> Are there any plans for adding UTF-16 and UTF-32 file support to grep?

No.

I doubt whether it'd be worth the hassle, just as I doubt whether it'd 
be worth adding support for lots of similar but more-useful features 
(such as grepping through compressed files). However, I'm willing to be 
proved wrong by someone adding support in such a way that doesn't hurt 
performance for the more-common case.